	Несобственный интеграл 2-го рода: определение, признак сравнения

# Несобственный интеграл 2-го рода
Пусть дана функция $f(x)$, непрерывная на отрезке $[a, b]$ и имеющая бесконечность в точке $c \in (a, b)$. Тогда несобственный интеграл 2-го рода от функции $f(x)$ на отрезке $[a, b]$ определяется как предел:

$$
\int_a^b f(x) \, dx = \lim_{\varepsilon \to 0+} \left( \int_a^{c-\varepsilon} f(x) \, dx + \int_{c+\varepsilon}^b f(x) \, dx \right),
$$

при условии, что этот предел существует.

Если функция $f(x)$ имеет бесконечность в конце отрезка интегрирования, то несобственный интеграл 2-го рода определяется аналогично.

## Признак сравнения
Признак сравнения - это один из основных методов исследования сходимости несобственных интегралов 2-го рода. Он основан на сравнении исследуемого интеграла с другим интегралом, сходимость или расходимость которого уже известна.

Пусть даны две функции $f(x)$ и $g(x)$, непрерывные на отрезке $[a, b]$ и имеющие бесконечность в точке $c \in (a, b)$, и пусть $0 \le f(x) \le g(x)$ для всех $x \in [a, b] \setminus \{c\}$. Тогда:

- Если несобственный интеграл $\int_a^b g(x) \, dx$ сходится, то несобственный интеграл $\int_a^b f(x) \, dx$ также сходится.

- Если несобственный интеграл $\int_a^b f(x) \, dx$ расходится, то несобственный интеграл $\int_a^b g(x) \, dx$ также расходится.

Аналогичные утверждения справедливы для несобственных интегралов на отрезке $[a, +\infty)$, $(-\infty, b]$ и $(-\infty, +\infty)$.

## Примеры

1. Исследовать сходимость несобственного интеграла $\int_0^1 \frac{\sin x}{x} \, dx$.
	**Решение**: Заметим, что функция $f(x) = \frac{\sin x}{x}$ непрерывна на отрезке $(0, 1]$ и имеет бесконечность в точке $x = 0$. Кроме того, она положительна на этом отрезке. Возьмем в качестве сравнивающей функции функцию $g(x) = 1$. Тогда:
	
	$$
	0 \le \frac{\sin x}{x} \le 1 \quad \forall x \in (0, 1].
	$$
	
	Несобственный интеграл $\int_0^1 1 \, dx$ сходится, поэтому несобственный интеграл $\int_0^1 \frac{\sin x}{x} \, dx$ также сходится.

2. Исследовать сходимость несобственного интеграла $\int_0^1 \frac{1}{x \ln x} \, dx$.
	**Решение**: Заметим, что функция $f(x) = \frac{1}{x \ln x}$ непрерывна на отрезке $(0, 1]$ и имеет бесконечность в точке $x = 0$. Кроме того, она положительна на этом отрезке. Возьмем в качестве сравнивающей функции функцию $g(x) = \frac{1}{x^{1-\varepsilon}}$, где $0 < \varepsilon < 1$. Тогда:
	
	$$
	0 \le \frac{1}{x \ln x} \le \frac{1}{x^{1-\varepsilon}} \quad \forall x \in (0, 1].
	$$
	
	Несобственный интеграл $\int_0^1 \frac{1}{x^{1-\varepsilon}} \, dx$ сходится при $0 < \varepsilon < 1$, поэтому несобственный интеграл $\int_0^1 \frac{1}{x \ln x} \, dx$ также сходится.

