> Замена переменных в неопределенном интеграле

>Основные принципы замены переменных

Пусть дано выражение неопределенного интеграла $\int f(x) \, dx$. Целью замены переменных является нахождение такой функции $\varphi(t)$ и такого интервала $[a, b]$, что выполняются следующие условия:

a) $\varphi(t)$ дифференцируема на $[a, b]$;

b) $f(x)$ непрерывна на $\varphi([a, b])$;

c) $\int f(x) \, dx = \int f(\varphi(t)) \varphi'(t) \, dt$.

При этом новая переменная $t$ вводится соотношением $x = \varphi(t)$, а дифференциал $dx$ выражается через $dt$ следующим образом: $dx = \varphi'(t) dt$.

>Правило замены переменных

Правило замены переменных в неопределенном интеграле формулируется следующим образом:

$\int f(x) \, dx = \int f(\varphi(t)) \varphi'(t) \, dt + C$,

где $C$ - произвольная постоянная.

>Примеры замены переменных

Рассмотрим несколько примеров замены переменных в неопределенных интегралах.

Пример 1. Вычислить интеграл $\int \frac{x}{\sqrt{1 - x^2}} \, dx$.

Решение. Заменим переменную $x = \sin t$, тогда $dx = \cos t \, dt$ и

$\int \frac{x}{\sqrt{1 - x^2}} \, dx = \int \frac{\sin t}{\sqrt{1 - \sin^2 t}} \cos t \, dt = \int \cos t \, dt = \sin t + C = \sqrt{1 - x^2} + C$.

Пример 2. Вычислить интеграл $\int \frac{1}{1 + x^2} \, dx$.

Решение. Заменим переменную $x = tg(t)$, тогда $dx = \frac{1}{\cos^2 t} \, dt$ и

$\int \frac{1}{1 + x^2} \, dx = \int \frac{1}{1 + tg^2 (t)} \frac{1}{\cos^2 t} \, dt = \int \frac{\cos^2 t}{\sin^2 t + \cos^2 t} \frac{1}{\cos^2 t} \, dt = \int \frac{1}{\cos^2 t} \, dt = tg(t) + C = x + C$.
