> Интегрирование по частям в неопределенном интеграле:

> Формула интегрирования по частям

Пусть даны две функции $u(x)$ и $v(x)$, дифференцируемые на некотором интервале $[a, b]$. Тогда выполняется следующая формула интегрирования по частям:

$\int u(x) v'(x) \, dx = u(x) v(x) - \int v(x) u'(x) \, dx + C$,

где $C$ - произвольная постоянная.

Эта формула может быть доказана с помощью правила произведения для дифференцирования:

$(u(x) v(x))' = u'(x) v(x) + u(x) v'(x)$.

> Принципы интегрирования по частям

При вычислении неопределенного интеграла с помощью интегрирования по частям необходимо выбрать одну из функций $u(x)$ и $v(x)$, дифференцируемых на некотором интервале $[a, b]$, таким образом, чтобы интеграл $\int v(x) u'(x) \, dx$ был проще исходного интеграла $\int u(x) v'(x) \, dx$.

В качестве критерия выбора функций $u(x)$ и $v(x)$ можно использовать следующее правило:

- Если под знаком интеграла есть произведение функций, то следует выбрать в качестве $u(x)$ ту функцию, которая дифференцируется проще, а в качестве $v(x)$ - ту функцию, которая интегрируется проще.
- Если под знаком интеграла есть функция, которая может быть представлена в виде произведения двух функций, то следует попытаться выделить одну из этих функций в качестве $u(x)$ или $v(x)$ и применить формулу интегрирования по частям.

> Примеры интегрирования по частям

Рассмотрим несколько примеров интегрирования по частям в неопределенных интегралах.

Пример 1. Вычислить интеграл $\int x \cos x \, dx$.

Решение. Заметим, что $\cos x$ дифференцируется проще, чем $x$, поэтому выберем $u(x) = x$, $v'(x) = \cos x$. Тогда $u'(x) = 1$, $v(x) = \sin x$ и

$\int x \cos x \, dx = x \sin x - \int \sin x \, dx = x \sin x + \cos x + C$.

Пример 2. Вычислить интеграл $\int e^x \sin x \, dx$.

Решение. Заметим, что $\sin x$ дифференцируется проще, чем $e^x$, поэтому выберем $u(x) = e^x$, $v'(x) = \sin x$. Тогда $u'(x) = e^x$, $v(x) = -\cos x$ и

$\int e^x \sin x \, dx = -e^x \cos x + \int e^x \cos x \, dx$.

Для вычисления интеграла $\int e^x \cos x \, dx$ снова применим интегрирование по частям, выбрав $u(x) = e^x$, $v'(x) = \cos x$. Тогда $u'(x) = e^x$, $v(x) = \sin x$ и

$\int e^x \cos x \, dx = e^x \sin x - \int e^x \sin x \, dx$.

Получим систему уравнений:

$\begin{cases} \int e^x \sin x \, dx = -e^x \cos x + \int e^x \cos x \, dx, \\ \int e^x \cos x \, dx = e^x \sin x - \int e^x \sin x \, dx. \end{cases}$

Решив эту систему, получим:

$\int e^x \sin x \, dx = \frac{1}{2} e^x (\sin x - \cos x) + C$.