	Определения предела функции двух переменных:

# Предел функции двух переменных
Предел функции одной переменной определяется как значение, к которому функция стремится при приближении аргумента к некоторому значению. В случае функции двух переменных, предел определяется как значение, к которому функция стремится при приближении пары аргументов $(x, y)$ к некоторой точке $(x_0, y_0)$.

## Определение
Пусть $f(x, y)$ - функция двух переменных, заданная в некоторой окрестности точки $(x_0, y_0)$, кроме самой этой точки. Говорят, что функция $f(x, y)$ имеет предел $A$ при $(x, y) \rightarrow (x_0, y_0)$, если для любого $\epsilon > 0$ существует $\delta > 0$ такое, что для всех $(x, y)$ из окрестности точки $(x_0, y_0)$, удовлетворяющих неравенству $0 < \sqrt{(x - x_0)^2 + (y - y_0)^2} < \delta$, выполняется неравенство $|f(x, y) - A| < \epsilon$.

$\forall \epsilon > 0 \quad \exists \delta > 0 \quad \forall (x, y) \in D \quad 0 < \sqrt{(x - x_0)^2 + (y - y_0)^2} < \delta \Rightarrow |f(x, y) - A| < \epsilon$

> [!Замечание]
> Знак $\sqrt{(x - x_0)^2 + (y - y_0)^2}$ называется расстоянием между точками $(x, y)$ и $(x_0, y_0)$.

## Примеры
1. Найти предел функции $f(x, y) = \frac{x^2 + y^2}{x^2 - y^2}$ при $(x, y) \rightarrow (0, 0)$.
	**Решение**:
	Заметим, что функция $f(x, y)$ не определена в точке $(0, 0)$. Поэтому мы должны найти предел функции при приближении к этой точке. Для этого рассмотрим полярные координаты: $x = r \cos \theta$, $y = r \sin \theta$. Тогда $f(x, y) = \frac{r^2}{r^2 \cos 2\theta} = \frac{1}{\cos 2\theta}$. При $(x, y) \rightarrow (0, 0)$ имеем $r \rightarrow 0$. Но при $r \rightarrow 0$ функция $f(x, y)$ не имеет предела, так как знаменатель стремится к нулю при $\theta = \frac{\pi}{4} + \frac{\pi}{2}k$, где $k \in \mathbb{Z}$.
	
	Поэтому предел функции $f(x, y) = \frac{x^2 + y^2}{x^2 - y^2}$ при $(x, y) \rightarrow (0, 0)$ не существует.

2. Найти предел функции $f(x, y) = \frac{x^2 y}{x^4 + y^2}$ при $(x, y) \rightarrow (0, 0)$.
	**Решение**:
	Заметим, что функция $f(x, y)$ определена в точке $(0, 0)$ и равна нулю. Поэтому мы должны найти предел функции при приближении к этой точке. Для этого рассмотрим полярные координаты: $x = r \cos \theta$, $y = r \sin \theta$. Тогда $f(x, y) = \frac{r^3 \cos^2 \theta \sin \theta}{r^4 \cos^4 \theta + r^2 \sin^2 \theta} = \frac{r \cos^2 \theta \sin \theta}{r^2 \cos^4 \theta + \sin^2 \theta}$. При $(x, y) \rightarrow (0, 0)$ имеем $r \rightarrow 0$. Но при $r \rightarrow 0$ функция $f(x, y)$ стремится к нулю, так как $r$ в числителе имеет степень выше, чем в знаменателе.
	
	Поэтому предел функции $f(x, y) = \frac{x^2 y}{x^4 + y^2}$ при $(x, y) \rightarrow (0, 0)$ равен нулю.

## Замечание
Метод приведения декартовых координат к полярным состоит в следующем:

1. Вычислить радиус-вектор точки $r$ по формуле:
	$$r = \sqrt{x^2 + y^2}$$

2. Вычислить угол $\theta$ между положительным направлением горизонтальной оси и радиус-вектором точки по формуле:
	$$
	\theta = \begin{cases}
	\arctan\left(\frac{y}{x}\right), & \text{если } x > 0, \\
	\arctan\left(\frac{y}{x}\right) + \pi, & \text{если } x < 0, y \geq 0, \\
	\arctan\left(\frac{y}{x}\right) - \pi, & \text{если } x < 0, y < 0, \\
	\frac{\pi}{2}, & \text{если } x = 0, y > 0, \\
	-\frac{\pi}{2}, & \text{если } x = 0, y < 0, \\
	\text{не определено}, & \text{если } x = 0, y = 0.
	\end{cases}
	$$