	Определение функции двух переменных, непрерывной в точке. Арифметические свойства непрерывных функций двух переменных.

# Определение
Функция $f(x, y)$ называется непрерывной в точке $(x_0, y_0)$, если для любого $\upvarepsilon > 0$ существует $\delta > 0$ такое, что для всех $(x, y)$ из окрестности точки $(x_0, y_0)$, удовлетворяющих неравенству $0 < \sqrt{(x - x_0)^2 + (y - y_0)^2} < \delta$, выполняется неравенство $|f(x, y) - f(x_0, y_0)| < \upvarepsilon$.

$$
\forall \upvarepsilon > 0 \quad \exists \delta > 0 \quad \forall (x, y) \in D \quad 0 < \sqrt{(x - x_0)^2 + (y - y_0)^2} < \delta \Rightarrow |f(x, y) - f(x_0, y_0)| < \upvarepsilon
$$

> [!Замечание]
> Если функция $f(x, y)$ непрерывна в точке $(x_0, y_0)$, то ее значение в этой точке равно пределу функции при приближении к этой точке.

# Арифметические свойства непрерывных функций двух переменных:

1. Сумма непрерывных функций является непрерывной функцией:
	$$
	f(x, y) \text{ и } g(x, y) \text{ непрерывны в точке } (x_0, y_0) \Rightarrow f(x, y) + g(x, y) \text{ непрерывна в точке } (x_0, y_0)
	$$

2. Произведение непрерывных функций является непрерывной функцией:
	$$
	f(x, y) \text{ и } g(x, y) \text{ непрерывны в точке } (x_0, y_0) \Rightarrow f(x, y) \cdot g(x, y) \text{ непрерывна в точке } (x_0, y_0)
	$$

3. Частное непрерывных функций является непрерывной функцией (при условии, что знаменатель не равен нулю в некоторой окрестности точки $(x_0, y_0)$):
	$$
	f(x, y) \text{ и } g(x, y) \text{ непрерывны в точке } (x_0, y_0), g(x, y) \neq 0 \text{ в некоторой окрестности точки } (x_0, y_0) \Rightarrow \frac{f(x, y)}{g(x, y)} \text{ непрерывна в точке } (x_0, y_0)
	$$

4. Композиция непрерывных функций является непрерывной функцией:
	$$
	f(x, y) \text{ непрерывна в точке } (x_0, y_0), g(u) \text{ непрерывна в точке } u_0 = f(x_0, y_0) \Rightarrow g(f(x, y)) \text{ непрерывна в точке } (x_0, y_0)
	$$

# Примеры
1. Проверить непрерывность функции $f(x, y) = x^2 + y^2$ в точке $(1, 2)$.
	**Решение**:
	
	Заметим, что функция $f(x, y) = x^2 + y^2$ определена во всех точках плоскости. Поэтому мы можем найти ее предел в точке $(1, 2)$:
	
	$$
	\lim_{(x, y) \rightarrow (1, 2)} (x^2 + y^2) = 1^2 + 2^2 = 5
	$$
	
	Так как предел функции в точке $(1, 2)$ существует и равен ее значению в этой точке, то функция $f(x, y) = x^2 + y^2$ непрерывна в точке $(1, 2)$.

2. Проверить непрерывность функции $f(x, y) = \frac{x^2 - y^2}{x^2 + y^2}$ в точке $(1, 1)$.
	**Решение**:
	
	Заметим, что функция $f(x, y) = \frac{x^2 - y^2}{x^2 + y^2}$ не определена в точке $(0, 0)$. Поэтому мы должны найти ее предел в точке $(1, 1)$:
	
	$$
	\lim_{(x, y) \rightarrow (1, 1)} \frac{x^2 - y^2}{x^2 + y^2} = \frac{1^2 - 1^2}{1^2 + 1^2} = 0
	$$
	
	Так как предел функции в точке $(1, 1)$ существует и равен ее значению в этой точке, то функция $f(x, y) = \frac{x^2 - y^2}{x^2 + y^2}$ непрерывна в точке $(1, 1)$.
