>Формулировка теоремы о существовании и единственности решения задачи Коши для ДУ 1-го порядка.

Определение:

Задача Коши для дифференциального уравнения 1-го порядка состоит в нахождении решения уравнения вида:

$$
y' = f(x, y)
$$

с начальным условием вида:

$$
y(x_0) = y_0
$$

где $f(x, y)$ - некоторая функция от двух переменных $x$ и $y$, $x_0$ и $y_0$ - заданные числа.

Теорема о существовании и единственности решения задачи Коши для дифференциального уравнения 1-го порядка формулируется следующим образом:

Теорема. Пусть функция $f(x, y)$ непрерывна в некоторой области $D$ плоскости $xy$ и удовлетворяет условию Липшица в этой области, **т.е. существует такая постоянная $L > 0$, что для любых точек $(x_1, y_1)$ и $(x_2, y_2)$ из области $D$ выполняется неравенство**:

$$
|f(x_1, y_1) - f(x_2, y_2)| \leq L(|x_1 - x_2| + |y_1 - y_2|)
$$

Тогда для любой точки $(x_0, y_0)$ из области $D$ существует единственное решение $y = \phi(x)$ задачи Коши:

$$
y' = f(x, y), \
y(x_0) = y_0
$$

причем это решение определено на некотором интервале, содержащем точку $x_0$.

Замечание:

Условие Липшица для функции $f(x, y)$ означает, что функция $f(x, y)$ не сильно меняется при малых изменениях аргументов $x$ и $y$. Это условие гарантирует существование и единственность решения задачи Коши.

Пример:

Рассмотрим следующую задачу Коши:

$$
y' = 2x - y, \
y(0) = 1
$$

Проверим, что функция $f(x, y) = 2x - y$ удовлетворяет условиям теоремы о существовании и единственности решения задачи Коши.

Заметим, что функция $f(x, y) = 2x - y$ непрерывна во всей плоскости $xy$. Найдем частные производные функции $f(x, y)$ по переменным $x$ и $y$:

$$
\frac{\partial f}{\partial x} = 2, \quad \frac{\partial f}{\partial y} = -1
$$

Заметим, что частные производные функции $f(x, y)$ ограничены во всей плоскости $xy$. Следовательно, функция $f(x, y)$ удовлетворяет условию Липшица во всей плоскости $xy$.

Таким образом, по теореме о существовании и единственности решения задачи Коши, существует единственное решение $y = \phi(x)$ нашей задачи, определенное на некотором интервале, содержащем точку $x_0 = 0$.

Найдем это решение. Для этого решим дифференциальное уравнение:

$$
y' = 2x - y
$$

Используем метод интегрирующего множителя. Интегрирующим множителем для нашего уравнения будет функция $e^{-x}$. Умножим обе части уравнения на эту функцию:

$$
e^{-x}y' + e^{-x}y = 2xe^{-x}
$$

Заметим, что левая часть уравнения является производной функции $ye^{-x}$:

$$
(ye^{-x})' = 2xe^{-x}
$$

Интегрируем обе части уравнения:

$$
ye^{-x} = -\int 2xe^{-x} dx = 2xe^{-x} + 2e^{-x} + C
$$

где $C$ - произвольная постоянная.

Умножим обе части равенства на $e^{x}$:

$$
y = 2x + 2 + Ce^{x}
$$

Подставим начальное условие:

$$
1 = 2 \cdot 0 + 2 + Ce^{0}
$$

Найдем значение произвольной постоянной:

$$
C = -1
$$

Подставим значение произвольной постоянной в решение:

$$
y = 2x + 1 - e^{x}
$$

Ответ: Решение нашей задачи Коши имеет вид $y = 2x + 1 - e^{x}$.

