> Однородные ДУ 1-го порядка: понятия и метод интегрирования.
Доклад: Однородные дифференциальные уравнения 1-го порядка: понятия и метод интегрирования

1. Определения и терминология

Однородное дифференциальное уравнение 1-го порядка имеет вид:

$$
\frac{dy}{dx} = f\left(\frac{y}{x}\right) \tag{1}
$$

где $f$ - некоторая функция от переменной $z = \frac{y}{x}$.

Здесь $y = y(x)$ - неизвестная функция, $x$ - независимая переменная, $\frac{dy}{dx}$ - производная функции $y(x)$ по переменной $x$.

2. Сведение к линейному ДУ 1-го порядка

Для решения однородного ДУ 1-го порядка (1) можно воспользоваться следующим подходом: ввести новую переменную $z = \frac{y}{x}$ и выразить $y$ и $\frac{dy}{dx}$ через $z$ и $x$. Тогда уравнение (1) примет вид:

$$
z + x\frac{dz}{dx} = f(z) \tag{2}
$$

Это уравнение представляет собой линейное неоднородное ДУ 1-го порядка относительно функции $z(x)$.

3. Метод интегрирования

Для решения линейного неоднородного ДУ 1-го порядка (2) можно воспользоваться методом интегрирующего множителя. Найдем интегрирующий множитель $\mu(x)$ такой, что произведение $\mu(x) \cdot (z + x\frac{dz}{dx})$ будет полной производной некоторой функции $u(x)$:

$$
\mu(x) \cdot (z + x\frac{dz}{dx}) = \frac{du}{dx} \tag{3}
$$

Интегрирующий множитель для линейного ДУ 1-го порядка имеет вид:

$$
\mu(x) = e^{\int P(x) dx} \tag{4}
$$

где $P(x)$ - коэффициент при $\frac{dz}{dx}$ в уравнении (2). В нашем случае $P(x) = \frac{1}{x}$, поэтому

$$
\mu(x) = e^{\int \frac{1}{x} dx} = e^{\ln|x|} = |x| \tag{5}
$$

Умножим уравнение (2) на найденный интегрирующий множитель $\mu(x) = x$:

$$
xz + x^2\frac{dz}{dx} = xf(z) \tag{6}
$$

Левая часть уравнения (6) является полной производной функции $u(x) = xz$:

$$
\frac{du}{dx} = x\frac{dz}{dx} + z = xf(z) \tag{7}
$$

Теперь интегрируем обе части уравнения (7) по переменной $x$:

$$
u(x) = \int xf(z) dx + C_1 \tag{8}
$$

где $C_1$ - постоянная интегрирования.

4. Нахождение решения исходного ДУ

Подставляя в полученное решение (8) выражение для $u(x) = xz$ и возвращаясь к исходной переменной $y$, находим общее решение исходного однородного ДУ 1-го порядка (1):

$$
y(x) = x \cdot \left( \int f\left(\frac{y}{x}\right) dx + C_1 \right) \tag{9}
$$

Доклад: Однородные дифференциальные уравнения 1-го порядка: понятия и метод интегрирования

5. Примеры решения однородных ДУ 1-го порядка

Рассмотрим несколько примеров решения однородных дифференциальных уравнений 1-го порядка, используя метод, описанный выше.

Пример 1. Решить уравнение:
$$
\frac{dy}{dx} = \frac{2y}{x} \tag{10}
$$

Решение. Заметим, что это однородное ДУ 1-го порядка. Введем новую переменную $z = \frac{y}{x}$:

$$
z + x\frac{dz}{dx} = 2z
$$

Получили линейное неоднородное ДУ 1-го порядка относительно функции $z(x)$. Найдем интегрирующий множитель $\mu(x) = e^{\int \frac{1}{x} dx} = |x|$ и умножим уравнение на него:

$$
xz + x^2\frac{dz}{dx} = 2xz
$$

Левая часть является полной производной функции $u(x) = xz$. Интегрируем обе части уравнения:

$$
u(x) = xz = \int 2z dx + C_1
$$

Возвращаясь к исходной переменной $y$, находим общее решение:

$$
y(x) = C_1x + C_2x^2 \tag{11}
$$

Пример 2. Решить уравнение:
$$
\frac{dy}{dx} = \frac{y^2 - x^2}{2xy} \tag{12}
$$

Решение. Это также однородное ДУ 1-го порядка. Введем новую переменную $z = \frac{y}{x}$:

$$
z + x\frac{dz}{dx} = \frac{z^2 - 1}{2z}
$$

Найдем интегрирующий множитель $\mu(x) = e^{\int -\frac{1}{2x} dx} = \frac{1}{\sqrt{|x|}}$ и умножим уравнение на него:

$$
\sqrt{|x|}z + \sqrt{|x|}x\frac{dz}{dx} = \frac{\sqrt{|x|}(z^2 - 1)}{2z}
$$

Левая часть является полной производной функции $u(x) = \sqrt{|x|}z$. Интегрируем обе части уравнения:

$$
u(x) = \sqrt{|x|}z = \int \frac{\sqrt{|x|}(z^2 - 1)}{2z} dx + C_1
$$

Возвращаясь к исходной переменной $y$, находим общее решение:

$$
y(x) = \pm \sqrt{C_1x^2 + x^4} \tag{13}
$$
