>ДУ второго порядка. Задача Коши.

1. Дифференциальные уравнения второго порядка

Дифференциальное уравнение вида

$$
F\left(x, y, y', y''\right) = 0 \tag{1}
$$

где $y = y(x)$ - неизвестная функция, $x$ - независимая переменная, $y'$ и $y''$ - первая и вторая производные функции $y(x)$ по переменной $x$, называется дифференциальным уравнением второго порядка.

Если дифференциальное уравнение второго порядка можно записать в виде

$$
y'' = f\left(x, y, y'\right) \tag{2}
$$

то оно называется явным дифференциальным уравнением второго порядка. В противном случае, если уравнение нельзя записать в виде (2), оно называется неявным дифференциальным уравнением второго порядка.

2. Классификация дифференциальных уравнений второго порядка

Дифференциальные уравнения второго порядка можно классифицировать по следующим признакам:

- Линейность/нелинейность: если функция $f$ в уравнении (2) является линейной функцией от $y$ и $y'$, то уравнение называется линейным; в противном случае, если функция $f$ является нелинейной функцией от $y$ и $y'$, то уравнение называется нелинейным.

- Однородность/неоднородность: если функция $f$ в уравнении (2) является однородной функцией от $y$ и $y'$, то уравнение называется однородным; в противном случае, если функция $f$ является неоднородной функцией от $y$ и $y'$, то уравнение называется неоднородным.

- Постоянство/переменность коэффициентов: если функция $f$ в уравнении (2) не зависит от переменной $x$, то уравнение называется уравнением с постоянными коэффициентами; в противном случае, если функция $f$ зависит от переменной $x$, то уравнение называется уравнением с переменными коэффициентами.

3. Задача Коши для дифференциальных уравнений второго порядка

Задача Коши для дифференциального уравнения второго порядка (1) состоит в нахождении решения $y(x)$, удовлетворяющего начальным условиям:

$$
y(x_0) = y_0, \quad y'(x_0) = y'_0 \tag{3}
$$

где $x_0$, $y_0$ и $y'_0$ - заданные числа.

Теорема существования и единственности решения задачи Коши:

Если функция $f$ в уравнении (2) непрерывна в некоторой области $D \subset \mathbb{R}^3$, содержащей точку $(x_0, y_0, y'_0)$, то в этой области существует единственное решение $y(x)$ задачи Коши (1), (3).

4. Примеры решения задач Коши для дифференциальных уравнений второго порядка

Рассмотрим несколько примеров решения задач Коши для дифференциальных уравнений второго порядка.

Пример 1. Решить задачу Коши:

$$
y'' - 3y' + 2y = 0, \quad y(0) = 1, \quad y'(0) = -1
$$

Решение. Найдем характеристическое уравнение:

$$
r^2 - 3r + 2 = 0
$$

Найдем корни этого уравнения:

$$
r_1 = 1, \quad r_2 = 2
$$

Общее решение уравнения:

$$
y(x) = C_1 e^{x} + C_2 e^{2x}
$$

Найдем производную $y'(x)$:

$$
y'(x) = C_1 e^{x} + 2C_2 e^{2x}
$$

Используя начальные условия, находим константы $C_1$ и $C_2$:

$$
\begin{cases}
C_1 + C_2 = 1 \\
C_1 + 2C_2 = -1
\end{cases}
$$

Решаем систему уравнений:

$$
C_1 = 2, \quad C_2 = -1
$$

Получаем решение задачи Коши:

$$
y(x) = 2e^{x} - e^{2x}
$$

Пример 2. Решить задачу Коши:

$$
y'' + y = \sin(x), \quad y(0) = 0, \quad y'(0) = 1
$$

Решение. Найдем общее решение однородного уравнения $y'' + y = 0$:

$$
y_0(x) = C_1 \cos(x) + C_2 \sin(x)
$$

Найдем частное решение неоднородного уравнения $y'' + y = \sin(x)$ методом неопределенных коэффициентов:

$$
y_p(x) = A \cos(x) + B \sin(x)
$$

Подставим $y_p(x)$ в уравнение:

$$
-A \cos(x) - B \sin(x) + A \cos(x) + B \sin(x) = \sin(x)
$$

Отсюда находим $A = 0$ и $B = -\frac{1}{2}$. Получаем частное решение:

$$
y_p(x) = -\frac{1}{2} \sin(x)
$$

Общее решение уравнения:

$$
y(x) = C_1 \cos(x) + C_2 \sin(x) - \frac{1}{2} \sin(x)
$$

Найдем производную $y'(x)$:

$$
y'(x) = -C_1 \sin(x) + C_2 \cos(x) - \frac{1}{2} \cos(x)
$$

Используя начальные условия, находим константы $C_1$ и $C_2$:

$$
\begin{cases}
C_1 = 0 \\
C_2 - \frac{1}{2} = 1
\end{cases}
$$

Решаем систему уравнений:

$$
C_1 = 0, \quad C_2 = \frac{3}{2}
$$

Получаем решение задачи Коши:

$$
y(x) = \frac{3}{2} \sin(x) - \frac{1}{2} \sin(x) = \sin(x)
$$
