>Линейное однородное дифференциальное уравнение второго порядка с постоянными коэффициентами, метод Эйлера, характеристическое уравнение, построение фундаментальной системы решений. Теорема о структуре общего решения линейного однородного уравнения

1. Линейное однородное ДУ второго порядка с постоянными коэффициентами

Линейное однородное дифференциальное уравнение второго порядка с постоянными коэффициентами имеет вид:

$$
a y''(x) + b y'(x) + c y(x) = 0 \tag{1}
$$

где $a, b, c$ - постоянные коэффициенты, $a \neq 0$, $y = y(x)$ - неизвестная функция, $x$ - независимая переменная, $y'$ и $y''$ - первая и вторая производные функции $y(x)$ по переменной $x$.

2. Метод Эйлера и характеристическое уравнение

Для решения уравнения (1) можно воспользоваться методом Эйлера. Этот метод основан на поиске решения уравнения (1) в виде экспоненциальной функции:

$$
y(x) = e^{rx} \tag{2}
$$

где $r$ - некоторый постоянный коэффициент. Подставим функцию (2) в уравнение (1):

$$
a r^2 e^{rx} + b r e^{rx} + c e^{rx} = 0
$$

Отсюда получаем характеристическое уравнение:

$$
a r^2 + b r + c = 0 \tag{3}
$$

Это квадратное уравнение относительно $r$. Найдем его корни $r_1$ и $r_2$.

3. Построение фундаментальной системы решений

Рассмотрим три возможных случая корней характеристического уравнения (3):

- Корни $r_1$ и $r_2$ вещественные и различные. В этом случае фундаментальной системой решений уравнения (1) будут функции:

$$
y_1(x) = e^{r_1 x}, \quad y_2(x) = e^{r_2 x}
$$

- Корни $r_1$ и $r_2$ вещественные и совпадающие ($r_1 = r_2 = r$). В этом случае фундаментальной системой решений уравнения (1) будут функции:

$$
y_1(x) = e^{r x}, \quad y_2(x) = x e^{r x}
$$

- Корни $r_1$ и $r_2$ комплексные сопряженные ($r_1 = \alpha + i \beta$, $r_2 = \alpha - i \beta$). В этом случае фундаментальной системой решений уравнения (1) будут функции:

$$
y_1(x) = e^{\alpha x} \cos(\beta x), \quad y_2(x) = e^{\alpha x} \sin(\beta x)
$$

4. Теорема о структуре общего решения линейного однородного уравнения

Теорема. Общее решение линейного однородного дифференциального уравнения второго порядка (1) представляет собой линейную комбинацию решений фундаментальной системы:

$$
y(x) = C_1 y_1(x) + C_2 y_2(x) \tag{4}
$$

где $C_1$ и $C_2$ - произвольные постоянные.

5. Примеры решения линейных однородных ДУ второго порядка с постоянными коэффициентами

Рассмотрим несколько примеров решения линейных однородных дифференциальных уравнений второго порядка с постоянными коэффициентами.

Пример 1. Решить уравнение:

$$
y'' - 3y' + 2y = 0
$$

Решение. Найдем характеристическое уравнение:

$$
r^2 - 3r + 2 = 0
$$

Найдем корни этого уравнения:

$$
r_1 = 1, \quad r_2 = 2
$$

Фундаментальная система решений:

$$
y_1(x) = e^{x}, \quad y_2(x) = e^{2x}
$$

Общее решение уравнения:

$$
y(x) = C_1 e^{x} + C_2 e^{2x}
$$

Пример 2. Решить уравнение:

$$
y'' + 4y' + 4y = 0
$$

Решение. Найдем характеристическое уравнение:

$$
r^2 + 4r + 4 = 0
$$

Найдем корни этого уравнения:

$$
r_1 = r_2 = -2
$$

Фундаментальная система решений:

$$
y_1(x) = e^{-2x}, \quad y_2(x) = x e^{-2x}
$$

Общее решение уравнения:

$$
y(x) = C_1 e^{-2x} + C_2 x e^{-2x}
$$

Пример 3. Решить уравнение:

$$
y'' + y = 0
$$

Решение. Найдем характеристическое уравнение:

$$
r^2 + 1 = 0
$$

Найдем корни этого уравнения:

$$
r_1 = i, \quad r_2 = -i
$$

Фундаментальная система решений:

$$
y_1(x) = \cos(x), \quad y_2(x) = \sin(x)
$$

Общее решение уравнения:

$$
y(x) = C_1 \cos(x) + C_2 \sin(x)
$$
