# Ряд
## Числовой ряд
### Основные понятия
**Числовой ряд** - выражение вида $\sum\limits^\infty_{n=1} a_n$, где $a_1, a_2, \dots$ - действительные члены ряда, $a_n$ - общий член ряда ^3caa0c

**n-ая сумма ряда** $S_n = \sum\limits^i_{n=2}a_n$,
- Если $\exists$ конечный $\lim\limits_{n\to\infty} S_n = S$, то ряд *сходится*
- Если $\lim\limits_{n\to\infty} S_n = \infty$ или $\nexists$, то *расходится*

#### Ряд геометрической прогрессии
$\sum\limits^\infty_{n=1} (b_1 \cdot q^{n-1})$
$S_n = \frac{b_1(1-q^{n+1})}{1-q^n}$, $q \neq 1$
1. $|q| < 1$:
   $\lim\limits_{n\to\infty}S_n = \lim\limits_{n\to\infty}\frac{b_1(1-q^{n+1})}{1-q} = \frac{b_1}{1-q} = \lim\limits_{n\to\infty}\frac{b_1 \cdot q^{n+1}}{1-q} = \frac{b_1}{1-q}$ - *сумма ряда*
2. $|q| > 1$:
   $\lim\limits_{n\to\infty}S_n = \infty \Rightarrow$ ряд *расходится*
3. $q = 1$: $\sum\limits^\infty_{n=1}b_1 = b_1 \cdot n \to \infty$
   $q = -1$:  $S =\begin{cases}b_1, & \text{n - нечётное}\\0, & \text{n - чётное}\end{cases}\Rightarrow \nexists\lim\limits_{n\to\infty}S_n$
 $\sum\limits^n_{k=1} \frac 1 {n(n+1)} = \sum\limits^n_{k=1}(\frac 1 k - \frac 1 {k+1}) = 1 - \frac 1 2 + \frac 1 2 - \frac 1 3 + \dots = 1 - \frac 1 {n+1}$; $\lim\limits_{n\to\infty}S_n = 1$
 $\sum\limits^\infty_{n=1}\frac 1 n$ - *гармонический ряд*
## Действия с рядами
1. Если $\sum a_n$ и $\sum b_n$ сходятся, то $\exists\alpha\in\mathbb R$ т.ч. $\sum(a_n \pm b_n)$ сходится и $\sum(\alpha \cdot a_n) = \alpha \cdot \sum a_n$, $\sum(a_n \pm b_n) = \sum a_n \pm \sum b_n$
   *Доказательство*:
- $\sum\limits^\infty_{n=1}(\alpha \cdot a_n) = \lim\limits_{n\to\infty}\sum\limits^n_{k=1}(\alpha \cdot a_k) = \alpha \cdot \lim\limits_{n\to\infty} \sum\limits^n_{k=1}a_k = \alpha \cdot \sum\limits^\infty_{n=1}a_n$
- $\sum\limits^\infty_{n=1}(a_n \pm b_n) = \lim\limits_{n\to\infty}\sum\limits^n_{k=1}(a_k \pm b_k) = \lim\limits_{b\to\infty}\sum\limits^n_{k=1}a_k \pm \lim\limits_{b\to\infty}\sum\limits^n_{k=1}b_k = \sum\limits^\infty_{n=1}(a_n \pm b_n) \dots = \sum\limits^\infty_{n=1}a_n \pm \sum\limits^\infty_{n=1}b_n$ %% на паре не успел дописать%%
   > [!замечание]
   > 1. Из сходимости $\sum\limits^\infty_{n=1}(a_n \pm b_n)$ следует сходимость $\sum a_n$ и $\sum b_n$
   > 2. сх. $\pm$ расх. $=$ расх.
   >    расх. $\pm$ расх. $=$ ? 
   
2. Исходный и полученный из него ряд добавлением или удалением конечного числа членов сходятся или расходятся одновременно
## Необходимый признак сходимости
##### Теорема 1.2: Необходимый признак сходимости
Если $\sum\limits^\infty_{n=1}a_n$ сходится, то $\lim\limits_{n\to\infty}a_n = 0$

###### Доказательство
Пусть $\sum a_n$ сходится, тогда $\lim\limits_{n\to\infty}S_n = S < \infty$
$\lim\limits_{n\to\infty}S_{n-1} = S$; $a_n = S_n - S_{n-1}$
$\lim\limits_{n\to\infty}a_n = \lim\limits_{n\to\infty}(S_n - S_{n-1}) = \lim\limits_{n\to\infty}S_n - \lim\limits_{n\to\infty}S_{n-1} = S - S = 0$

###### Следствие
Если $\lim\limits_{b\to\infty}a_n \neq 0$, то $\sum a_n$ расходится

## Ряд с неотрицательными членами
$\sum\limits^\infty_{n=1}a_n$, $\forall n \in \mathbb N : a_n \geqslant 0$
### Критерий сходимости
Ряд сходится $\Leftrightarrow \exists M > 0: \forall n \in \mathbb N: S_n \leqslant M$
##### Теорема 1.2: Признак сходимости рядов
$\sum a_n, \sum b_n$, где $\forall n \in \mathbb N: a_n \geqslant 0, b_n \geqslant 0$
1. Если $a_n \leqslant b_n$
	1. $\sum b_n$ сходится $\Rightarrow \sum a_n$ сходится
	2. $\sum a_n$ расходится $\Rightarrow \sum b_n$ расходится
2. Если $\exists \lim\limits_{n\to\infty} \frac{a_n}{b_n} = A: 0 < A < +\infty$, то $\sum a_n$ и $\sum b_n$ сходятся или расходятся одновременно
##### Теорема 1.3: Признак Даламбера
Если $\exists \lim\limits_{n\to\infty} \frac{a_{n+1}}{a_n} = p$,, то при $p<1$ ряд сходится, а при $p > 1$ - расходится
## Признаки Дериале и Коми для знакопеременных рядов
Пусть для ряда $\sum a_n, a_n \in \mathbb R, \exists$ конечный или бесконечный $\lim\limits_{n\to\infty}\left| \frac{a_{n+1}}{a_n} \right| = q$ или $\lim\limits_{n\to\infty}\sqrt[n]{|a_n|} = q$; $0 \leqslant q \leqslant +\infty$, тогда 
1. $q < 1$: $\sum a_n$ сходится абсолютно
2. $q > 1$: $\sum a_n$ расходится
3. $q = 1$: ?
##### Теорема 1.4: Признак Дериале
Пусть дан ряд $\sum(a_n \cdot b_n)$
1. $a_n \underset{n\to\infty}{\to} 0$ монотонна
2. Если $B_n = \sum b_n$ ограничена, то $\sum(a_n \cdot b_n)$ сходится ($\exists M > 0: \forall n \in \mathbb N: |B_n| < M$)
##### Терема 1.5: Признак Абеля
%%Не дописал%%

# Функциональные ряды
## Основные понятия
$a_n(x), x \in X$
$\sum a_n(x) = a_1(x) + a_2(x) + \dots$ - *функциональный ряд*
$\sum a_n(x_0)$ - *[[#^3caa0c|числовой ряд]]*
$S_n(x) = \sum\limits^n_{k=1}a_k(x)$ - *n-ая частичная сумма ряда*
## Равномерная сходимость функциональных рядов
### Свойства равномерно сходящихся рядов
1. $\forall E > 0: \exists N = N(E) \in \mathbb N: \forall n > N: \forall x \in E: |r_n(x)| < E$
%%тут меня не было на многих парах%%
$f(x) \thicksim \sum\limits^\infty \frac{f^{(n)}(x_0)}{n!}(x-x_0) = S(x)$
##### Теорема 4.1
$f(x) = S(x) \Leftrightarrow \lim\limits_{n\to\infty}R_n(x) = 0$, где $R_n(x) = f(x) - P_n(x)$ - *остаточный член формулы Тейлора*
###### Доказательство
- $\Rightarrow$:
  $f(x) = S(x)$, $S(x) = \lim\limits_{n\to\infty}S_n(x)$
  $\lim\limits_{n\to\infty}R_n(x) = \lim\limits_{n\to\infty}(f(x) - P_n(x)) = \lim\limits_{n\to\infty}(f(x) - S_n(x)) = f(x) - \lim\limits_{n\to\infty} S_n(x) = f(x) - f(x) = 0$
- $\Leftarrow$:
  $\lim\limits_{n\to\infty}R_n(x) = 0$
  $S(x) = \lim\limits_{n\to\infty}S_n(x) = \lim\limits_{n\to\infty}P_n(x) = \lim\limits_{n\to\infty}(f(x) - R_n(x)) = f(x) - \lim\limits_{n\to\infty}R_n(x) = f(x)$
##### Теорема 4.2: Достаточное условие разложимости функции в ряд Тейлора
Если $\exists M > 0: \forall x \in U(x_0): |f^{(n)}(x)| \leqslant M$, то в $U(x_0)$ $f(x) = S(x)$